<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" routerLink="/home"><img src='../../assets/images/Logo.png'></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
      <div class="collapse navbar-collapse flex-grow-1 text-right">
       
        <ul *ngIf = "loggedIn" class="navbar-nav ml-auto flex-nowrap">
          <li class="nav-item nav-link"> <a  routerLink="/uploadPhoto"><button class="btn btn-primary">Submit a photo</button></a> </li>
          <li class="nav-item nav-link"> <a routerLink="/profile/{{user.id}}"> {{user.username}} </a> </li>
          <li class="nav-item nav-link"> <a><button (click) = "logOut()" class="btn btn-primary">Log Out</button></a> </li>
        </ul>

        <ul *ngIf = "!loggedIn" class="navbar-nav ml-auto flex-nowrap">     
          <li class="nav-item nav-link"> <a routerLink="/login">Log In </a> </li>
          <li class="nav-item nav-link"> <a routerLink="/signUp">Join free </a></li>
        </ul>

      </div>
    </div>
</nav>

